
C *** INPUT ECOSYSTEM FILES ***

c 1KM ECOSYSTEM 
c --- Fortran OPEN 
      integer		ECO_1KM_UNIT
      parameter		(ECO_1KM_UNIT = 10) 
      character*3	ECO_1KM_STATUS
      parameter		(ECO_1KM_STATUS = 'OLD')
      character*11	ECO_1KM_FORM
      parameter		(ECO_1KM_FORM = 'UNFORMATTED')
      character*6	ECO_1KM_ACCESS
      parameter		(ECO_1KM_ACCESS = 'DIRECT')
      integer		ECO_1KM_RECL
      parameter		(ECO_1KM_RECL = 512)

C *** INPUT DATA FILES ***

c MOD02 250M 
c --- Fortran OPEN 
      integer		L1B_250M_UNIT
      parameter		(L1B_250M_UNIT = 30) 
      character*11	L1B_250M_FORM
      parameter		(L1B_250M_FORM = 'UNFORMATTED')
      character*6	L1B_250M_ACCESS
      parameter		(L1B_250M_ACCESS = 'DIRECT')
      character*3	L1B_250M_STATUS
      parameter		(L1B_250M_STATUS = 'OLD')


c MOD02 1KM 
c --- Fortran OPEN 
      integer		L1B_1KM_UNIT
      parameter		(L1B_1KM_UNIT = 31) 
      character*11	L1B_1KM_FORM
      parameter		(L1B_1KM_FORM = 'UNFORMATTED')
      character*6	L1B_1KM_ACCESS
      parameter		(L1B_1KM_ACCESS = 'DIRECT')
      character*3	L1B_1KM_STATUS
      parameter		(L1B_1KM_STATUS = 'OLD')


c MOD03 GE0
c --- Fortran OPEN 
      integer		GEO_1KM_UNIT
      parameter		(GEO_1KM_UNIT = 32) 
      character*11	GEO_1KM_FORM
      parameter		(GEO_1KM_FORM = 'UNFORMATTED')
      character*6	GEO_1KM_ACCESS
      parameter		(GEO_1KM_ACCESS = 'DIRECT')
      character*3	GEO_1KM_STATUS
      parameter		(GEO_1KM_STATUS = 'OLD')

 

c MOD02 Scan Metadata 
c --- Fortran OPEN 
      integer		SCAN_1KM_UNIT
      parameter		(SCAN_1KM_UNIT = 33) 
      character*3	SCAN_1KM_STATUS
      parameter		(SCAN_1KM_STATUS = 'OLD')
      character*11	SCAN_1KM_FORM
      parameter		(SCAN_1KM_FORM = 'UNFORMATTED')
      character*6	SCAN_1KM_ACCESS
      parameter		(SCAN_1KM_ACCESS = 'DIRECT')
      integer		SCAN_1KM_RECL
      parameter		(SCAN_1KM_RECL = 2)

c ANC NISEN 
c --- Fortran OPEN 
      integer		ANC_NISEN_UNIT
      parameter		(ANC_NISEN_UNIT = 36) 
      character*3	ANC_NISEN_STATUS
      parameter		(ANC_NISEN_STATUS = 'OLD')
      character*11	ANC_NISEN_FORM
      parameter		(ANC_NISEN_FORM = 'UNFORMATTED')
      character*6	ANC_NISEN_ACCESS
      parameter		(ANC_NISEN_ACCESS = 'DIRECT')

c --- NOTE: record length is the entire array 
c     (721 lines) X (721 elements/line) X (1 bytes/parm)
      integer		ANC_NISEN_RECL
      parameter		(ANC_NISEN_RECL = 721 * 721)

c ANC NISES 
c --- Fortran OPEN 
      integer		ANC_NISES_UNIT
      parameter		(ANC_NISES_UNIT = 37) 
      character*3	ANC_NISES_STATUS
      parameter		(ANC_NISES_STATUS = 'OLD')
      character*11	ANC_NISES_FORM
      parameter		(ANC_NISES_FORM = 'UNFORMATTED')
      character*6	ANC_NISES_ACCESS
      parameter		(ANC_NISES_ACCESS = 'DIRECT')

c --- NOTE: record length is the entire array 
c     (721 lines) X (721 elements/line) X (1 bytes/parm)
      integer		ANC_NISES_RECL
      parameter		(ANC_NISES_RECL = 721 * 721 )


c ANC ICEC 
c --- Fortran OPEN 
      integer		ANC_ICEC_UNIT
      parameter		(ANC_ICEC_UNIT = 38) 
      character*3	ANC_ICEC_STATUS
      parameter		(ANC_ICEC_STATUS = 'OLD')
      character*11	ANC_ICEC_FORM
      parameter		(ANC_ICEC_FORM = 'UNFORMATTED')
      character*6	ANC_ICEC_ACCESS
      parameter		(ANC_ICEC_ACCESS = 'DIRECT')

c --- NOTE: record length is the entire array 
c           (720 lines) X (360 elements/line) X (4 bytes/element)
      integer		ANC_ICEC_RECL
      parameter		(ANC_ICEC_RECL = 720 * 360 * 4)

c ANC THRESHOLDS
c --- Fortran OPEN
      integer		ANC_THRESHOLD_UNIT     
      parameter		(ANC_THRESHOLD_UNIT = 41)
      character*3	ANC_THRESHOLD_STATUS     
      parameter		(ANC_THRESHOLD_STATUS = 'OLD')
      character*9	ANC_THRESHOLD_FORM     
      parameter		(ANC_THRESHOLD_FORM = 'FORMATTED')
      character*10	ANC_THRESHOLD_ACCESS     
      parameter		(ANC_THRESHOLD_ACCESS = 'SEQUENTIAL')




C *** OUTPUT FILES ***

c RUNTIME DEBUG 
c --- Fortran OPEN 
      integer		DEBUG_UNIT
      parameter		(DEBUG_UNIT = 90) 
      character*7	DEBUG_STATUS
      parameter		(DEBUG_STATUS = 'UNKNOWN')
      character*9	DEBUG_FORM
      parameter		(DEBUG_FORM = 'FORMATTED')
      character*10	DEBUG_ACCESS
      parameter		(DEBUG_ACCESS = 'SEQUENTIAL')

c MOD35 CLOUDMASK  
c --- Fortran OPEN 
      integer		MOD35_MASK_UNIT
      parameter		(MOD35_MASK_UNIT = 91) 
      character*7	MOD35_MASK_STATUS
      parameter		(MOD35_MASK_STATUS = 'UNKNOWN')
      character*11	MOD35_MASK_FORM
      parameter		(MOD35_MASK_FORM = 'UNFORMATTED')
      character*6	MOD35_MASK_ACCESS
      parameter		(MOD35_MASK_ACCESS = 'DIRECT')

c --- Fortran OPEN 
      integer		MOD35_HDR_UNIT
      parameter		(MOD35_HDR_UNIT = 92) 
      character*7	MOD35_HDR_STATUS
      parameter		(MOD35_HDR_STATUS = 'UNKNOWN')
      character*9	MOD35_HDR_FORM
      parameter		(MOD35_HDR_FORM = 'FORMATTED')
      character*10	MOD35_HDR_ACCESS
      parameter		(MOD35_HDR_ACCESS = 'SEQUENTIAL')

c MOD35 QUALITY CONTROL  
c --- Fortran OPEN 
      integer		MOD35_QA_UNIT
      parameter		(MOD35_QA_UNIT = 93) 
      character*7	MOD35_QA_STATUS
      parameter		(MOD35_QA_STATUS = 'UNKNOWN')
      character*11	MOD35_QA_FORM
      parameter		(MOD35_QA_FORM = 'UNFORMATTED')
      character*6	MOD35_QA_ACCESS
      parameter		(MOD35_QA_ACCESS = 'DIRECT')

c --- Fortran OPEN 
      integer		MOD35_QAHDR_UNIT
      parameter		(MOD35_QAHDR_UNIT = 94) 
      character*7	MOD35_QAHDR_STATUS
      parameter		(MOD35_QAHDR_STATUS = 'UNKNOWN')
      character*9	MOD35_QAHDR_FORM
      parameter		(MOD35_QAHDR_FORM = 'FORMATTED')
      character*10	MOD35_QAHDR_ACCESS
      parameter		(MOD35_QAHDR_ACCESS = 'SEQUENTIAL')

